//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to create Annotation in PDF document =====================//
//==========================================================================================================//

package samples.demos.annotation;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use annotation in pdf.
 */
public class AnnotationExample {
    public static void main(String args[]){


		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/

		try
		{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create a sample text paragraph
			Text text1 = new Text(sec1);
			//add text object to paragraphs collection of section
			sec1.getParagraphs().add(text1);
			// create a segment and add it to segments collection of text
			Segment seg1 = text1.getSegments().add("This is to show how annotation works");


			// create Attachment object
			Attachment annotation = new Attachment();
			// specify the type of Attachment (i.e.  Note, Files, None)
			annotation.setAttachmentType(AttachmentType.Note);
			// specify the Note Heading information
			annotation.setNoteHeading("Annotation Title");
			// specify the contents for Heading object
			annotation.setNoteContent("annotation content");
			// specify that Note is open when PDF document is dispalyed
			annotation.setIsNoteOpen(true);
			// define the note Icon type as Comment (i.e. Comment, Help, Insert, Key, NewParagraph, Note, Graph)
			annotation.setNoteIconType(NoteIconType.Comment);
			// set the area for the position of the note's popup window
			annotation.setNoteWindowPosition(new RectangleArea(20, 20, 20, 20));
			// specify the note window's positioning type
			annotation.setNoteWindowPositioningType(NoteWindowPositioningType.Auto);
			// add Annotation to paragraphs collection of Section object
			sec1.getParagraphs().add(annotation);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\SampleDataSmall.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
     }
}

