//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to add Attachment with PDF document ======================//
//==========================================================================================================//

package samples.demos.attachment;
import java.io.FileInputStream;
import aspose.pdf.*;

public class FileAttachment {

	public static void main(String[] args) {

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
		
		try {
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create a sample text paragraph
			Text text1 = new Text(sec1);
			//add text object to paragraphs collection of section
			sec1.getParagraphs().add(text1);
			// create a segment and add it to segments collection of text
			Segment seg1 = text1.getSegments().add("This demo shows how Attachment works");
			 
			// create Attachment object
			Attachment attachment = new Attachment();
			// specify the type of Attachment (i.e.  Note, Files, None)
			attachment.setAttachmentType(AttachmentType.File);
			// specify the path of attachment file
			attachment.setAttachedFileName("examples/resources/graphics/asposeBanner.png");
			// define the note Icon type as Comment (i.e. Graph, PaperClip, PuchPin, Tag)
			attachment.setFileIconType(FileIconType.Tag);
			// set Attachment Icon color as Red
			attachment.setIconColor(new aspose.pdf.Color("Red"));

			// set the area for the position of the note's popup window
			attachment.setNoteWindowPosition(new RectangleArea(20,20,20,20));
			// specify the note window's positioning type
			attachment.setNoteWindowPositioningType(NoteWindowPositioningType.Auto);
			// add Annotation to paragraphs collection of Section object
			sec1.getParagraphs().add(attachment);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\SampleDataSmall.pdf");
       
	    }catch (Exception excep)
		{
			excep.printStackTrace();	       
	    }

	}

}
