//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=================== This demo explains the steps to add image as Pdf BackGround ==========================//
//==========================================================================================================//

package samples.demos.backgroundimage;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use background image in pdf.
 */
public class BackGroundImageExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
    	 try{
			 //Instantiate a Pdf object by calling its empty constructor
			 Pdf pdf = new Pdf();
			 //add a section
			 Section sec1 = pdf.getSections().add();

			 // specify an image as Section background
			 sec1.setBackgroundImageFile("examples/resources/graphics/asposePdfLogo.gif");
			 // specify the image file type for background image
			 sec1.setBackgroundImageType(ImageFileType.Gif);

			 // create a sample text paragraph
			 Text text1 = new Text("This is my first Paragraph on Page 1.");
			 //add text object to paragraphs collection of section
			 sec1.getParagraphs().add(text1);

			 // create a sample text paragraph
			 Text text2 = new Text("This paragraph should be displayed on Page 2.");
			 // specify the property that this paragraph should be displayed on new page
			 text2.setIsFirstParagraph(true);
			 //add text object to paragraphs collection of section
			 sec1.getParagraphs().add(text2);

			 //Save the resultant PDF
			 pdf.save("D:\\pdftest\\SampleDataSmall.pdf");

 		}catch(Exception excep){
			System.out.println(excep.getMessage());
 		}           
     }
}

