//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to create Bookmark in PDF document =======================//
//==========================================================================================================//

package samples.demos.bookmark;
import java.io.FileInputStream;
import aspose.pdf.*;
/**
 * This example domestrates how to use bookmark in pdf.
 */
public class BookmarkExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/

    	try{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			// set the value that Pdf will be Bookmarked
			pdf.setIsBookmarked(true);
			//add a section
			Section sec1 = pdf.getSections().add();

			// create Heading object and specify the level of heading
			Heading heading1 = new Heading(pdf, sec1, 1);
			// specify that number of the heading is in an automatic sequence
			heading1.setIsAutoSequence(true);
			// Create a segment object
			Segment segment1 = new Segment(heading1);
			//add a segment to segments collection of heading
			heading1.getSegments().add(segment1);
			// specify the contents for segment object
			segment1.setContent("Heading of level 1 on page 1");
			// add heading object to paragraphs collection of section1
			//please make sure all properties are set before Add
			sec1.getParagraphs().add(heading1);

			// create Heading object and specify the level of heading
			Heading heading2 = new Heading(pdf, sec1, 2);
			// heading2 should be displayed on page 2
			heading2.setIsFirstParagraph(true);
			// specify that number of the heading is in an automatic sequence
			heading2.setIsAutoSequence(true);
			// Create a segment object
			Segment segment2 = new Segment(heading2);
			//add a segment to segments collection of heading
			heading2.getSegments().add(segment2);
			// specify the contents for segment object
			segment2.setContent("Heading of level 2 on page 2");
			// add heading object to paragraphs collection of section1
			//please make sure all properties are set before Add
			sec1.getParagraphs().add(heading2);

			// create Heading object and specify the level of heading
			Heading heading3 = new Heading(pdf, sec1, 1);
			// heading2 should be displayed on page 2
			heading3.setIsFirstParagraph(false);
			// specify that number of the heading is in an automatic sequence
			heading3.setIsAutoSequence(false);
			// specify the heading label width information
			heading3.setLabelWidth(60);
			// specify the UserLabel as "bullet3"
			heading3.setLabel("bullet3");
			// Create a segment object
			Segment segment3 = new Segment(heading3);
			//add a segment to segments collection of heading
			heading3.getSegments().add(segment3);
			// specify the contents for segment object
			segment3.setContent("Heading with Bullet Style 3 on on page 2");
			// add heading object to paragraphs collection of section1
			//please make sure all properties are set before Add
			sec1.getParagraphs().add(heading3);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		}
		catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}           
    }
}

