//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=============== This demo explains the steps to use different color space in PDF document ================//
//==========================================================================================================//

package samples.demos.colorspace;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use different color <br>
 * space to define your own color in pdf.
 */
public class ColorSpaceExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
    	try{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create a text object add pass Section object as an argument
			Text text1 = new Text(sec1);
			// add the text object to paragraphs collection of section
			sec1.getParagraphs().add(text1);

			// create a segment1 object with sample text
			Segment seg1 = new Segment("This text uses Color object defined using short values in RGB scale\n");
			// specify Red as font color for segment object
			seg1.getTextInfo().setColor(new aspose.pdf.Color((short)255, (short)0, (short)255));
			// add segment object to segments collection of text1
			text1.getSegments().add(seg1);

			//use grey colorspace.
			for (int i = 0; i < 26; ++i)
			{

				// create a segment1 object with sample text
				Segment seg2 = new Segment("This text use grey colorspace :grey " + i * 10 + ". \n");
				// specify Green as font color for segment object
				seg2.getTextInfo().setColor(new aspose.pdf.Color((short)(i * 10)));
				// add segment object to segments collection of text1
				text1.getSegments().add(seg2);
			}
			// create a segment1 object with sample text
			Segment seg3 = new Segment("This Text use cmyk colorspace. \n");
			// specify font color information using CMYK object
			seg3.getTextInfo().setColor(new aspose.pdf.Color((short)30, (short)40, (short)255, (short)0));
			// add segment object to segments collection of text1
			text1.getSegments().add(seg3);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}       
    }
}
