//
// Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to use Graph class in PDF document =======================//
//==========================================================================================================//

package samples.demos.graph;
import java.io.FileInputStream;
import aspose.pdf.*;

public class GraphExample {
	public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/

		try
		{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create Graph object with 100 as Width and 400 as Height
			Graph graph1 = new Graph(sec1, 100, 400);
			// add graph object to paragraphs collection of section
			sec1.getParagraphs().add(graph1);

			//Draw a continuous red Line using following positioning elements
			float[] posArr = new float[] { 100, 0, 300, 0 };
			// create a line object using above specified coordinates
			Line l1 = new Line(graph1, posArr);
			// specify the color information for graph object
			l1.getGraphInfo().setColor(new aspose.pdf.Color("Red"));
			// specify the Line widht information for Line object
			l1.getGraphInfo().setLineWidth(3);
			// set the line cap mode
			l1.getGraphInfo().setLineCapMode(1);
			// add line to shapes collection of graph object
			graph1.getShapes().add(l1);

			//Draw Dashed red Line using following positioning elements
			posArr = new float[] { 100, 50, 300, 50 };
			// create a line object using above specified coordinates
			Line l2 = new Line(graph1, posArr);
			// specify the color information for Line object using RGB color space
			l2.getGraphInfo().setColor(new aspose.pdf.Color((short)0, (short)128, (short)128));
			// specify the the dash length in black as 2
			l2.getGraphInfo().setDashLengthInBlack(2);
			// specify the dash length in White as 1
			l2.getGraphInfo().setDashLengthInWhite(1);
			// add line to shapes collection of graph object
			graph1.getShapes().add(l2);

			// create a circle object where X-Origon, 200 and Y-Origon is 50 and 30 is radius
			Circle circle1 = new Circle(graph1, 200, 50, 30);
			// add circle to shapes collection of graph1 object
			graph1.getShapes().add(circle1);
			// set the fill color for circle as Green
			circle1.getGraphInfo().setFillColor(new aspose.pdf.Color("Green"));
			// set the value to true so that shape is filled with color
			circle1.getGraphInfo().setIsFilled(true);
			// specify the border style for circle
			circle1.getGraphInfo().setBorderStyle(BorderStyle.Double);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}         
     }
}
