//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.


//==========================================================================================================//
//========== In this demo we will demonstrate the use of all 7 bullet styles with Heading object ===========//
//==========================================================================================================//

package samples.demos.heading;
import java.io.FileInputStream;
import java.io.File;
import aspose.pdf.*;

/**
 * This example domestrates how to use Heading class in pdf.
 */
public class HeadingExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
            
    	try{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create text object to be added to main document section
			Text text = new Text(sec1);
			// add text object to paragraphs collection of section
			sec1.getParagraphs().add(text);
			// create a segment object with sample text
			Segment seg1 = new Segment("This example shows how to use Heading in pdf");
			// add segment to segments collection of text object
			text.getSegments().add(seg1);
			// specify the font color information for segment object
			seg1.getTextInfo().setColor(new aspose.pdf.Color("Yellow"));
			// specify the BackGround color information for segment object
			seg1.getTextInfo().setBackgroundColor(new aspose.pdf.Color("Blue"));

			// use for loop to add all the 7 types Bullet styles with Heading object
			for (int counter = 1; counter <= 7; counter++)
			{
				// create Heading object with level as 1
				Heading heading1 = new Heading(pdf, sec1, 1);
				// specify the font size information for heading object
				heading1.getTextInfo().setFontSize(16);
				// define the bullet style for heading object
				heading1.setLabel("Bullet" + counter);
				// create a segment obejct with sample text
				Segment segment1 = new Segment("Heading with Bullet Style " + counter);
				// add segment to segements collection of Heading object
				heading1.getSegments().add(segment1);
				// add heading to paragraphs collection of Section
				sec1.getParagraphs().add(heading1);
			}

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
  
    }
}
