//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=============== This demo explains the steps to create simple Hello World PDF document ===================//
//==========================================================================================================//


package samples.demos.helloworld;

import java.io.File;
import java.io.FileInputStream;

import aspose.pdf.*;

/**
 * This example domestrates how to use pdf dom.
 */
public class HelloWorldExample {
    public static void main(String args[]){

    	//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/

		try
		{
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create text object to be added to main document section
			Text text = new Text("Hellow World. Sample PDF ....");
			// add text object to paragraphs collection of section
			sec1.getParagraphs().add(text);
			// specify the font color information for segment object
			text.getTextInfo().setColor(new aspose.pdf.Color("Yellow"));
			// specify the BackGround color information for segment object
			text.getTextInfo().setBackgroundColor(new aspose.pdf.Color("Blue"));
			// specify the font name for text object
			text.getTextInfo().setFontName("Arial");
			// set the font size information
			text.getTextInfo().setFontSize(16);


			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
	}
}
