//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=========== This demo explains the steps to create Hyperlink towards PDF over local system ===============//
//==========================================================================================================//


package samples.demos.hyperlink;

import java.io.FileInputStream;
import aspose.pdf.*;

public class HyperLinkToAnotherPDF {

	/**
	 * This example domestrates how to use HyperLinkToOuterPdf class in pdf.
	 */
	public static void main(String[] args) {


		//if you got a license, uncomment following lines and update the license file path accordingly
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
		
		try {
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			//Create text paragraph with the reference of a section
			Text text1 = new Text(sec1);
			//Add the text paragraph in the paragraphs collection of the section
			sec1.getParagraphs().add(text1);
			//Add a text segment in the text paragraph
			Segment segment1 = text1.getSegments().add("This is a link to external PDF file");
			//Assign a new instance of hyperlink to hyperlink property of segment
			segment1.setHyperlink(new Hyperlink());
			//Set the path of the external PDF file
			segment1.getHyperlink().setLinkFile("d:/pdftest/Sample.pdf");
			//Set the link type of the text segment to File
			segment1.getHyperlink().setLinkType(HyperlinkType.Pdf);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
	}

}

