//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//============ This demo explains the steps to create hyperlink towards page within same PDF ===============//
//==========================================================================================================//

package samples.demos.hyperlink;

import java.io.FileInputStream;
import aspose.pdf.*;

public class HyperLinkToSamePDF {

	/**
	 * This example domestrates how to use HyperLinkToLocalPdf class in pdf.
	 */
	public static void main(String[] args) {

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
		
		try {
			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			//Create text paragraph with the reference of a section
			Text text1 = new Text(sec1);
			//Add the text paragraph in the paragraphs collection of the section
			sec1.getParagraphs().add(text1);
			//Add a text segment in the text paragraph
			Segment segment1 = text1.getSegments().add("This is a local link within this PDF");
			//Set the text in the text segment to be underlined
			segment1.getTextInfo().setIsUnderline(true);
			//Set the link type of the text segment to Local 
			segment1.getHyperlink().setLinkType(HyperlinkType.Local);
			//Assign the id of the desired paragraph as a target id for the text segment
			segment1.getHyperlink().setTargetID("product1");

			//Create a text paragraph to be linked with the text segment
			Text text3 = new Text(sec1, "Product 1 info ...");
			//Add the text paragraph to paragraphs collection of the section
			sec1.getParagraphs().add(text3);
			//Set this paragraph to be the first so that it can be displayed in a separate
			//page in the document
			text3.setIsFirstParagraph(true);
			//Set the id of this text paragraph to "product1"
			text3.setID("product1");

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
	}

}
