//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================ This demo explains the steps to add sample image inside PDF documetn ====================//
//==========================================================================================================//

package samples.demos.image;

import java.io.File;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use image in pdf.
 */
public class ImageExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
	        
        try{

			//Instantiate a Pdf object by calling its empty constructor
			Pdf pdf = new Pdf();
			//add a section
			Section sec1 = pdf.getSections().add();

			// create a sample text object which explains image behavior
			Text text1 = new Text(sec1, "An image from local disk and with auto scaling\n");
			// add text object to paragraphs collection of section
			sec1.getParagraphs().add(text1);
			// create an image object
			Image img1 = new Image(sec1);
			// specify the path of image file
			img1.getImageInfo().setFile("examples/resources/graphics/asposePdfLogo.gif");
			// specify the image file type
			img1.getImageInfo().setImageFileType(ImageFileType.Gif);
			// add image to paragraphs collection of Section object
			sec1.getParagraphs().add(img1);

			// create a second image object
			Image img2 = new Image(sec1);
			// specify the image file path information
			img2.getImageInfo().setFile("examples/resources/graphics/asposeBanner.gif");
			// set the image Widht information as its actuall Width. No scaling
			img2.getImageInfo().setFixWidth(img2.getImageInfo().getFixWidth());
			// add image to paragraphs collection of Section object
			sec1.getParagraphs().add(img2);
			// Create a GraphNote object
			GraphNote note1 = new GraphNote(sec1);
			// assign some contents to GraphNote object
			note1.setContent("Image Note:- An image from local disk with its actual width dimension");
			// set the font color information for note object
			note1.getTextInfo().setColor(new aspose.pdf.Color("Green"));
			// set the X-Coordinates information for GraphNote object
			note1.setPosX(50);
			// set the Y-Coordinates information for GraphNote object
			// we have used -ve value so that note is displayed beneth the image
			note1.setPosY(-20);
			// add the GraphNote object to GraphNotes collection of image object
			img2.getImageNotes().add(note1);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
    }

}
