//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//==================== This demo explains the steps to add JavaScript to PDF document ======================//
//==========================================================================================================//

package samples.demos.javascript;

import java.io.File;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use javascript in pdf.
 */
public class JavaScriptExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
            
    	try{

			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf1 = new Pdf();
			//Create a new section in the Pdf object
			Section sec1 = pdf1.getSections().add();
			//Instantiate a Aspose PDF JavaScript Object
			pdf1.setJavaScripts(new JavaScripts());
			//Call the Add method and pass JavaScript statement as an argument, to show Print Dialog
			pdf1.getJavaScripts().add(new JavaScript("this.print(true);"));
			//Call the Add method and JavaScript statement as an argument, to show a simple Dialog Box
			pdf1.getJavaScripts().add("app.alert(\"hello world\");");

			//Save the resultant PDF
			pdf1.save("D:\\pdftest\\Resultant.pdf");
		
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}    
    }
}
