//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=================== This demo explains the steps to add MetaInfo to PDF document  ========================//
//==========================================================================================================//

package samples.demos.metainfo;

import java.io.File;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
* This example domestrates how to use color property in pdf.
*/
public class MetaInfoExample {
	public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
        try{
			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf = new Pdf();
			//set meta info for PDF document
			// set the Author information for PDF document
			pdf.setAuthor("Nayyer Shahbaz, Aspose Team");
			// set the KeyWords information
			pdf.setKeywords("pdf , DOM , customer");
			// set the Subject of PDF document
			pdf.setSubject("The demo of how to use metaInfo");
			// set the Title information of PDF document
			pdf.setTitle("Aspose.Pdf For Java");

			//create a Section object and add it to PDF document
			Section sec1 = pdf.getSections().add();

			//Create a text object
			Text text1 = new Text(sec1);
			// add the text object to paragraphs collection of section
			sec1.getParagraphs().add(text1);
			// create a segment object with sample text
			Segment seg1 = new Segment("\n\n\n\n\n\nPress Ctrl + d to see MetaInfo of the pdf. \n");
			// specify the color information for segment object
			seg1.getTextInfo().setColor(new aspose.pdf.Color("Green"));

			// add the segement to segments collection of text object
			text1.getSegments().add(seg1);

			// create a new segment object with sample information
			Segment seg2 = new Segment("\nThe meta info will be as follows: \n");
			// set the color information for text object
			seg2.getTextInfo().setColor(new aspose.pdf.Color("Purple"));
			// underline the segment contents
			seg2.getTextInfo().setIsUnderline(true);
			// add segment object to segments collection of text1
			text1.getSegments().add(seg2);

			// create a new segment object to explain MetaInfo
			Segment seg3 = new Segment("\nThe author info will be:\t Nayyer Shahbaz, Aspose Team\n");
			// specify the font information for segment object
			seg3.getTextInfo().setFontName("Arial");
			//add the segment to segments collection of Text object
			text1.getSegments().add(seg3);
			seg3 = new Segment("The keyWords info will be:\t pdf , DOM , customer\n");
			seg3.getTextInfo().setFontName("Arial");
			text1.getSegments().add(seg3);
			seg3 = new Segment("The subject info will be: \t The demo of how to use metaInfo\n");
			seg3.getTextInfo().setFontName("Arial");
			text1.getSegments().add(seg3);
			seg3 = new Segment("The title info will be: \t Aspose.Pdf For Java\n");
			seg3.getTextInfo().setFontName("Arial");
			text1.getSegments().add(seg3);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
    }
}
