//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to set the Document Appearance type ======================//
//======= We will specify the Document OpenType as FullScreen and page Transition type as Disolve ==========//
//==========================================================================================================//

package samples.demos.opentype;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use openType in pdf.
 */
public class OpenTypeExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
    	try{
			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf = new Pdf();
			// specify the Document open type as FullScreen.
			// value can be FullScreen,Bookmarks,Thumbnails or Auto  
			pdf.setOpenType(OpenType.FullScreen);
			// specify the Page Transition effect as Disolve
			// value can be Dissolve, Blinds, Box, Glitter,Replace,Split,Wipe  
			pdf.setPageTransitionType(PageTransitionType.Dissolve);
			// set the duration for page transition effect
			pdf.setPageDuration(10);

			//create a Section object and add it to PDF document
			Section sec1 = pdf.getSections().add();

			// create a sample Text object to explain title 
			Text Title_text = new Text(sec1, "This Demo shows how OpenType Class works!\n");
			// add title text object to paragraphs collection of section object
			sec1.getParagraphs().add(Title_text);

			// create a second text object
			Text Second_Page_text = new Text(sec1, "This should be my first Paragraph on Page 2.");
			// specify that second text object should be displayed on new page
			Second_Page_text.setIsFirstParagraph(true);
			// add second text paragraph to paragraphs collection of section object				
			sec1.getParagraphs().add(Second_Page_text);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}       
    }
}
