//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//====== This demo explains the steps for applying security restrictions over reusltant PDF document =======//
//==========================================================================================================//

package samples.demos.security;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use table in pdf.
 */
public class SecurityExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
            
        try{

			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf = new Pdf();
			//create a Section object and add it to PDF document
			Section sec1 = pdf.getSections().add();

			// create a sample Text object to explain title 
			Text Title_text = new Text(sec1, "This Demo shows how Security Class works!\n");
			// specify the font color information for first text segment
			Title_text.getSegments().getSegment(0).getTextInfo().setColor(new aspose.pdf.Color("Green"));
			// add new text segment to segments collection of Text object
			Title_text.getSegments().add("\nThe password is 'Aspose'\n");
			// specify the font color information for Second text segment
			Title_text.getSegments().getSegment(1).getTextInfo().setColor(new aspose.pdf.Color("Red"));
			// add new segment to segments collection of Text object
			Title_text.getSegments().add("\nCopying, Printing and AnnotationModifying is now allowed.\n");
			// specify the font color information for Third text segment
			Title_text.getSegments().getSegment(2).getTextInfo().setColor(new aspose.pdf.Color("Orange"));
			// add title text object to paragraphs collection of section object
			sec1.getParagraphs().add(Title_text);

			//Assign a security instance to Pdf object	
			pdf.setSecurity(new Security());
			pdf.getSecurity().setUserPassword("Aspose");
			//Restrict copying the data 
			pdf.getSecurity().setIsCopyingAllowed(false);
			//Restrict the printing of document
			pdf.getSecurity().setIsPrintingAllowed(false);
			//Restrict annotation modification
			pdf.getSecurity().setIsAnnotationsModifyingAllowed(false);

			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
    	
		}catch(Exception excep)
		{
			System.out.println(excep.getMessage());
		}
     }
}
