//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================= This demo explains the steps to create Simple Table in PDF document ====================//
//==========================================================================================================//

package samples.demos.table;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use table in pdf.
 */
public class TableExample {
    public static void main(String args[]){


		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
    	
    	try{
			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf = new Pdf();
			//create a Section object and add it to PDF document
			Section sec1 = pdf.getSections().add();

			// create a sample text object as heading for PDF document
			Text text = new Text(sec1, "This Demo shows how to create simple Table!\n");
			// specify that heading should be Bold
			text.getTextInfo().setIsTrueTypeFontBold(true);
			// set the font face information as Arial
			text.getTextInfo().setFontName("Arial");
			// set the font size for text object
			text.getTextInfo().setFontSize(14);
			// specify font color information as Green
			text.getTextInfo().setColor(new aspose.pdf.Color("Green"));
			// add the text object to paragraphs collection of section
			sec1.getParagraphs().add(text);

			// ======= In following code we will create a Table =======//
			// create a new Table object
			Table Table1 = new Table(sec1);
			// specify the Column width information for Table object
			Table1.setColumnWidths("70 70");
			// specify the Border information for Table
			Table1.setDefaultCellBorder(new BorderInfo(BorderSide.All.getValue(), 0.9F, new aspose.pdf.Color("Blue")));
			// Set the BackGround color information for Tabel as Yellow
			Table1.setBackgroundColor(new aspose.pdf.Color("Yellow"));

			// create first row object for Table
			Row row21 = Table1.getRows().add();
			// specify the Fix Row Height information for first row object of Table
			row21.setFixedRowHeight(15);
			// add a cell to first row of Table
			row21.getCells().add("Col (1,1)");
			// add second cell to first row of Table
			row21.getCells().add("Col (1,2)");
			// add a new row to Table
			Row row22 = Table1.getRows().add();
			// specify the row Height information for second row of Table
			row22.setFixedRowHeight(15);
			// add fist cell to second row of Table
			row22.getCells().add("Col (2,1)");
			// add second cell to second row of Table
			row22.getCells().add("Col (2,2)");

			// add table to paragraphs collection of section object   
			sec1.getParagraphs().add(Table1);


			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");
		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
    }    
            
}
