//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//=============== This demo explains the steps to add simple Text object in PDF document ===================//
//==========================================================================================================//

package samples.demos.text;
import java.io.FileInputStream;
import aspose.pdf.*;

/**
 * This example domestrates how to use text in pdf.
 */
public class TextExample {
    public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
        
    	 try{
			 //Instantiate Pdf instance by calling its empty constructor
			 Pdf pdf = new Pdf();
			 //create a Section object and add it to PDF document
			 Section sec1 = pdf.getSections().add();

			 // create a sample text object as heading for PDF document
			 Text text = new Text(sec1, "Seg1 ");
			 // set the font face information as Arial
			 text.getTextInfo().setFontName("Arial");
			 // set the font size for text object
			 text.getTextInfo().setFontSize(14);
			 // add the text object to paragraphs collection of section
			 sec1.getParagraphs().add(text);

			 // specify that first segment should be Bold
			 text.getSegments().getSegment(0).getTextInfo().setIsTrueTypeFontBold(true);
			 // specify font color information as Green
			 text.getSegments().getSegment(0).getTextInfo().setColor(new aspose.pdf.Color("Green"));

			 // create a new segment object with sample text
			 Segment seg2 = new Segment("seg2 ");
			 // add segment to segments collection of text object
			 text.getSegments().add(seg2);
			 // specify the color information for segment object as Red
			 seg2.getTextInfo().setColor(new aspose.pdf.Color("Red"));
			 // specify the formatting information for segment as Italic
			 seg2.getTextInfo().setIsTrueTypeFontItalic(true);

			 // create a new segment object with sample text
			 Segment seg3 = new Segment("seg3 ");
			 // add segment to segments collection of text object
			 text.getSegments().add(seg3);
			 // specify the color information for segment object as Blue
			 seg3.getTextInfo().setColor(new aspose.pdf.Color("Blue"));
			 // specify the formatting information for segment as Underlined
			 seg3.getTextInfo().setIsUnderline(true);

			 // create a new segment object with sample text
			 Segment seg4 = new Segment("seg4 ");
			 // add segment to segments collection of text object
			 text.getSegments().add(seg4);
			 // specify the color information for segment object as Orange
			 seg4.getTextInfo().setColor(new aspose.pdf.Color("Orange"));

			 //Save the resultant PDF
			 pdf.save("D:\\pdftest\\Resultant.pdf");

		 }catch (Exception excep)
		 {
			 System.out.println(excep.getMessage());
		 }
     }
           
}
